Subject: bug#40559: closed (Re: [bug#40559] [PATCH] gnu: cryptsetup: Update to 2.3.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Jul 2020 23:25:01 +0000

Your bug report

#40559: [PATCH] gnu: cryptsetup: Update to 2.3.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40559: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40559
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40559] [PATCH] gnu: cryptsetup: Update to 2.3.1.
From: Jakub Kądziołka <[email-masked]>
To: Vincent Legoll <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Sun, 5 Jul 2020 01:24:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Apr 16, 2020 at 11:36:54PM +0200, Vincent Legoll wrote:
> On 16/04/2020 18:22, Ludovic Courtès wrote:
> > Hi,
> > 
> > Vincent Legoll <[email-masked]> skribis:
> > 
> > > Untested
> > 
> > Could you test it with “make check-system TESTS=encrypted-root-os”?
> > It takes time and disk space, but that’s a good way to make sure
> > cryptsetup is still able to decrypt our LUKS partitions.
> 
> OK, I'm trying it, but seems stuck.
> 
> Almost two hours passed since one of the tests has begun, and it
> looks like it does not make any progress.

Hi,

I ran the tests on bayfront and they complete successfully with the
updated cryptsetup, so I pushed your commit as
fe743ebb41f0936b378a185beb7c00adc4172d8c. Thanks!

Regards,
Jakub Kądziołka

Subject: [PATCH] gnu: cryptsetup: Update to 2.3.1.
From: Vincent Legoll <[email-masked]>
To: [email-masked]
Date: Sat, 11 Apr 2020 19:14:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Untested

-- 
Vincent Legoll
From 0a971f755222a98f301d9bce7c93ee46d03f4aac Mon Sep 17 00:00:00 2001
From: Vincent Legoll <[email-masked]>
Date: Sat, 11 Apr 2020 19:11:26 +0200
Subject: [PATCH] gnu: cryptsetup: Update to 2.3.1.

* gnu/packages/cryptsetup.scm (cryptsetup): Update to 2.3.1.
---
 gnu/packages/cryptsetup.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/cryptsetup.scm b/gnu/packages/cryptsetup.scm
index 2a824d416e..79bd62c3cd 100644
--- a/gnu/packages/cryptsetup.scm
+++ b/gnu/packages/cryptsetup.scm
@@ -35,7 +35,7 @@
 (define-public cryptsetup
   (package
    (name "cryptsetup")
-   (version "2.2.2")
+   (version "2.3.1")
    (source (origin
             (method url-fetch)
             (uri (string-append "mirror://kernel.org/linux/utils/cryptsetup/v"
@@ -43,7 +43,7 @@
                                 "/cryptsetup-" version ".tar.xz"))
             (sha256
              (base32
-              "0ija889kfhg4n2fshpq9yh2b1jl2ipvd7sfafh08g75ba6ayrw1a"))))
+              "1lp7kwakm3ssp8ww1y33plvfmpas5krf14pdz91p1kx2b7as9awj"))))
    (build-system gnu-build-system)
    (arguments
     `(#:configure-flags
-- 
2.26.0